Description

In a system with lots of attachments deleting one attachment can take very long due to the DB lookup in
Attachment#delete_from_disk which checks if the same physical file is used by any other attachment.

We had this issue at Planio in a setup with more than 500k attachments, where deleting a single one could take up to half a second.
This patch adds an index on attachments.disk_filename that fixed the issue for us.

Associated revisions

Revision 16352 - 2017-03-02 20:51 - Jean-Philippe Lang
Adds an index to attachments.disk_filename (#25022).

Patch by Jens Kraemer.

History

#1 - 2017-02-07 09:05 - Go MAEDA
- Category set to Performance

- Target version set to 3.4.0

Thanks for sharing the experience and the patch.
Setting target version to 3.4.0.

Attachment#delete_from_disk: source:tags/3.3.2/app/models/attachment.rb#1 145

#2 - 2017-03-02 20:51 - Jean-Philippe Lang
- Subject changed from add an index on attachments.disk_filename to Add an index on attachments.disk_filename
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

That should be usefull indeed, thanks.

Files

0001-adds-an-index-to-attachments.disk_filename.patch 1.01 KB 2017-02-07 Jens Kramer

2025-05-01 1/1



https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.2/app/models/attachment.rb#L145
http://www.tcpdf.org

